import request from '@/utils/request'

// 查询共享车位订单列表
export function listOrder(data) {
  return request({
    url: '/tOrder/list',
    method: 'post',
    data: data
  })
}

// 查询共享车位订单详细
export function getOrder(id) {
  return request({
    url: '/tOrder/' + id,
    method: 'get'
  })
}

// 新增共享车位订单
export function addOrder(data) {
  return request({
    url: '/tOrder',
    method: 'post',
    data: data
  })
}

// 修改共享车位订单
export function updateOrder(data) {
  return request({
    url: '/tOrder',
    method: 'put',
    data: data
  })
}

// 删除共享车位订单
export function delOrder(id) {
  return request({
    url: '/tOrder/' + id,
    method: 'delete'
  })
}

// 导出共享车位订单
export function exportOrder(query) {
  return request({
    url: '/tOrder/export',
    method: 'get',
    params: query
  })
}
